@keyframes fade-in-out {
  0% { opacity: 0; visibility: visible; }
  20% { opacity: 1; }
  80% { opacity: 1; }
  100% { opacity: 0; visibility: hidden; }
}

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}


div#splash {
  @include fullscreen-container;
  z-index: 100;

  div.splash-block {
    display: flex;
    justify-content: center;

    position: absolute;
    bottom: 0px;
    width: 100vw;

    padding: 32px 0px;

    @media (max-width: 512px) {
      flex-direction: column;
      padding: 32px;
    }

    background-color: $color-primary;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.33);

    .splash-card {
      max-width: 400px;

      position: relative;
      padding: 32px;
      margin-right: 32px;
      &:last-child { margin-right: 0px; }

      @media (max-width: 512px) {
        max-width: none;

        margin-right: 0px;
        margin-bottom: 32px;
        &:last-child { margin-bottom: 0px; }
      }

      background-color: $color-card;
      box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);

      h1 {
        font-family: "Crafty Girls";
        font-size: 48px;
        font-weight: bold;
        color: $color-primary;

        line-height: 1;
        margin-bottom: 8px;

        text-align: center;
      }

      h2 {
        font-size: 18px;
        color: $color-text-dark;
        text-align: center;
      }

      p {
        margin: 1em 0px;
        &:last-child { margin-bottom: 0px; }
      }
    }

    .splash-card-cta {
      background-color: $color-accent;

      h2 {
        color: white;
        margin-bottom: 10px;
      }

      label {
        color: rgba(255, 255, 255, 0.66);
      }

      input {
        color: white;
        border-color: rgba(255, 255, 255, 0.5);

        @media (max-width: 512px) {
          width: calc(100% - 64px);
        }

        &:focus {
          border-color: rgba(255, 255, 255, 0.75);
        }

        &::placeholder {
          color: rgba(255, 255, 255, 0.33);
        }
      }

      button {
        position: absolute;
        bottom: 8px;
        right: 8px;
        padding: 4px 8px;
        border-radius: 2px;

        color: $color-accent;
        background-color: white;
        &:hover { background-color: material-color('grey', '200'); }
        &:active { background-color: material-color('grey', '300'); }
      }
    }
  }
}
